#include <bits/stdc++.h>

using namespace std;

int main()
{
    int n,a;
    scanf("%d %d",&n,&a);
    if(n<3*a)
    {
        printf("-1");
        return 0;
    }
    printf("%d 0",a);
    if(n-a<=3*a-2)
    {
        printf("%d 0",a);
        printf("%d %d",a,n-3*a);
        return 0;
    }
    printf("%d %d",a,n%2);
    printf("%d %d",(n-2*a-n%2)/2+1,(n-2*a-n%2)/2-1);
    return 0;
}